<?php
function tube_get_limited_string($output, $max_char){

    $output = str_replace(']]>', ']]&gt;', $output);
    $output = strip_tags($output);

    if ((strlen($output)>$max_char) && ($espacio = strpos($output, " ", $max_char ))){
        //$output = substr($output, 0, $espacio).'...';
        $output = substr($output, 0, $espacio).''; //no ellipsis
        return $output;
    } else {
        return $output;
    }
}

function tubeace_duration($seconds){

    $hours = floor($seconds / 3600);
    $mins = floor(($seconds - $hours*3600) / 60);
    $s = $seconds - ($hours*3600 + $mins*60);

    $mins = ($mins<10?"0".$mins:"".$mins);
    $s = ($s<10?"0".$s:"".$s); 

    $time = ($hours>0?$hours.":":"").$mins.":".$s;
    return $time;
}

function tubeace_thumb($prefix,$title){

    $saved_thmb = get_post_meta( get_the_ID(),'saved_thmb',true);

    $subPath = tubeace_sub_dir_path(get_the_ID()); 

    $upload_dir = wp_upload_dir();
    $thumb_url = $upload_dir[baseurl]."/tubeace-thumbs/".$subPath."/";

    if($saved_thmb==1){
      $thumb = $thumb_url."/".get_the_ID()."_1.jpg";
    } elseif($saved_thmb>1) {

      $def_thmb = get_post_meta( get_the_ID(),'def_thmb',true);

      $thumb = $thumb_url."/".get_the_ID()."_".$def_thmb.".jpg";

      $rotate_thumbs = "onmouseover=\"thumbStart('$prefix-".get_the_ID()."', $saved_thmb, '$thumb_url');\" 
       onmouseout=\"thumbStop('$prefix-".get_the_ID()."', '$thumb_url', '$def_thmb');\"";
    } else {
      return;
    }

    $thumb = "<img class=\"img-responsive\" src=\"$thumb\" $rotate_thumbs id=\"$prefix-".get_the_ID()."\" alt=\"".esc_attr($title)."\">";
    return $thumb;
}

function tubeace_video_player(){

  $embed_code = get_post_meta( get_the_ID(),'embed_code',true);

  $video_id = get_post_meta( get_the_ID(),'video_id',true);
  $site = get_post_meta( get_the_ID(),'site',true);

  if(!empty($embed_code)){

    $code = "<div class=\"flex-video\">$embed_code</div>";

  } elseif($site =="bangyoulater.com"){

    $code = get_option('tubeace_bangyoulater_video_player_code');
    $code = str_replace("{video_id}", $video_id, $code);
    $code = "<div class=\"flex-video\">$code</div>";

  } elseif($site =="drtuber.com"){

    $code = get_option('tubeace_drtuber_video_player_code');
    $code = str_replace("{video_id}", $video_id, $code);
    $code = "<div class=\"flex-video\">$code</div>";

  } elseif($site =="pornhub.com"){

    $code = get_option('tubeace_pornhub_video_player_code');
    $code = str_replace("{video_id}", $video_id, $code);
    $code = "<div class=\"flex-video\">$code</div>";

  } elseif($site =="keezmovies.com"){

    $code = get_option('tubeace_keezmovies_video_player_code');
    $code = str_replace("{video_id}", $video_id, $code);
    $code = "<div class=\"flex-video\">$code</div>";
    
  } elseif($site =="porntube.com"){

    $code = get_option('tubeace_porntube_video_player_code');
    $code = str_replace("{video_id}", $video_id, $code);
    $code = "<div class=\"flex-video\">$code</div>";
    
  } elseif($video_id>1 && $site =="redtube.com"){

    $code = get_option('tubeace_redtube_video_player_code');
    $code = str_replace("{video_id}", $video_id, $code);
    $code = "<div class=\"flex-video\">$code</div>";

  } elseif($site =="spankwire.com"){

    $code = get_option('tubeace_spankwire_video_player_code');
    $code = str_replace("{video_id}", $video_id, $code);
    $code = "<div class=\"flex-video\">$code</div>";
    
  } elseif($site =="sunporno.com"){

    $code = get_option('tubeace_sunporno_video_player_code');
    $code = str_replace("{video_id}", $video_id, $code);
    $code = "<div class=\"flex-video\">$code</div>";
    
  } elseif($site =="tube8.com"){

    $code = get_option('tubeace_tube8_video_player_code');
    $code = str_replace("{video_id}", $video_id, $code);
    $code = "<div class=\"flex-video\">$code</div>";
    
  } elseif($site =="xhamster.com"){

    $code = get_option('tubeace_xhamster_video_player_code');
    $code = str_replace("{video_id}", $video_id, $code);
    $code = "<div class=\"flex-video\">$code</div>";
    
  } elseif($site =="xvideos.com"){

    $code = get_option('tubeace_xvideos_video_player_code');
    $code = str_replace("{video_id}", $video_id, $code);
    $code = "<div class=\"flex-video\">$code</div>";
    
  } elseif($site =="youporn.com"){

    $code = get_option('tubeace_youporn_video_player_code');
    $code = str_replace("{video_id}", $video_id, $code);
    $code = "<div class=\"flex-video\">$code</div>";
    
  } else {

    if(get_option('tubeace_default_video_player')=="flowplayer3"){

      $code = get_option('tubeace_flowplayer3_code');
      $code = str_replace("{plugin_url}", plugins_url('tubeace'), $code);
      $code = str_replace("{video_file}", get_post_meta(get_the_ID(), 'video_url',true), $code);
      $code = "<div class=\"flex-video\">$code</div>";
    }

    if(get_option('tubeace_default_video_player')=="flowplayer5"){

      $code = get_option('tubeace_flowplayer5_code');
      $code = str_replace("{plugin_url}", plugins_url('tubeace'), $code);
      $code = str_replace("{video_file}", get_post_meta(get_the_ID(), 'video_url',true), $code);
    }

  }
  echo $code;
}


function tubeace_sponsor_link(){

  $sponsor_link_url = get_post_meta( get_the_ID(),'sponsor_link_url',true);
  $sponsor_link_txt = get_post_meta( get_the_ID(),'sponsor_link_txt',true);

  $sponsor_link = "<a class=\"sponsor_link\" href=\"$sponsor_link_url\">$sponsor_link_txt</a>";

  echo $sponsor_link;
}

function tubeace_misc($id){

  $misc = get_post_meta( get_the_ID(),"misc$id",true);
  echo $misc;
}
